//Created by openPOWERLINK object dictionary creator V1.0.1 on 2020-09-23T18:50:48.185-07:00
/*
	vendorName: Planar Motor Incorporated
	vendorID: 0x00000A1C
	productName: Planar Motor Incorporated POWERLINK
	version: HW 1
	version: FW 1.12.05
*/

#define OBD_DEFINE_MACRO
	#include <obdcreate/obdmacro.h>
#undef OBD_DEFINE_MACRO

OBD_BEGIN()

	OBD_BEGIN_PART_GENERIC ()

		OBD_BEGIN_INDEX_RAM(0x1000, 0x01, FALSE)
			OBD_SUBINDEX_RAM_VAR(0x1000, 0x00, kObdTypeUInt32, kObdAccConst, tObdUnsigned32, NMT_DeviceType_U32, 00000000)
		OBD_END_INDEX(0x1000)

		OBD_BEGIN_INDEX_RAM(0x1001, 0x01, FALSE)
			OBD_SUBINDEX_RAM_VAR_NOINIT(0x1001, 0x00, kObdTypeUInt8, kObdAccR, tObdUnsigned8, ERR_ErrorRegister_U8)
		OBD_END_INDEX(0x1001)

		OBD_BEGIN_INDEX_RAM(0x1006, 0x01, FALSE)
			OBD_SUBINDEX_RAM_VAR_RG(0x1006, 0x00, kObdTypeUInt32, kObdAccGRW, tObdUnsigned32, NMT_CycleLen_U32, 1000000, 200, 2147483)
		OBD_END_INDEX(0x1006)

		OBD_BEGIN_INDEX_RAM(0x1008, 0x01, FALSE)
			OBD_SUBINDEX_RAM_VSTRING(0x1008, 0x00, kObdAccConst, NMT_ManufactDevName_VS, OBD_MAX_STRING_SIZE, "Planar Motor Incorporated POWERLINK")
		OBD_END_INDEX(0x1008)

		OBD_BEGIN_INDEX_RAM(0x1009, 0x01, FALSE)
			OBD_SUBINDEX_RAM_VSTRING(0x1009, 0x00, kObdAccConst, NMT_ManufactHwVers_VS, OBD_MAX_STRING_SIZE, "1")
		OBD_END_INDEX(0x1009)

		OBD_BEGIN_INDEX_RAM(0x100A, 0x01, FALSE)
			OBD_SUBINDEX_RAM_VSTRING(0x100A, 0x00, kObdAccConst, NMT_ManufactSwVers_VS, OBD_MAX_STRING_SIZE, "1.12.05")
		OBD_END_INDEX(0x100A)

		OBD_BEGIN_INDEX_RAM(0x1018, 0x05, FALSE)
			OBD_SUBINDEX_RAM_VAR(0x1018, 0x00, kObdTypeUInt8, kObdAccConst, tObdUnsigned8, NumberOfEntries, 4)
			OBD_SUBINDEX_RAM_VAR(0x1018, 0x01, kObdTypeUInt32, kObdAccConst, tObdUnsigned32, VendorId_U32, 0x00000A1C)
			OBD_SUBINDEX_RAM_VAR(0x1018, 0x02, kObdTypeUInt32, kObdAccConst, tObdUnsigned32, ProductCode_U32, 0x00001010)
			OBD_SUBINDEX_RAM_VAR(0x1018, 0x03, kObdTypeUInt32, kObdAccConst, tObdUnsigned32, RevisionNo_U32, 0x00000001)
			OBD_SUBINDEX_RAM_VAR(0x1018, 0x04, kObdTypeUInt32, kObdAccConst, tObdUnsigned32, SerialNo_U32, 0x14000001)
		OBD_END_INDEX(0x1018)

		OBD_BEGIN_INDEX_RAM(0x1020, 0x03, FALSE)
			OBD_SUBINDEX_RAM_VAR(0x1020, 0x00, kObdTypeUInt8, kObdAccConst, tObdUnsigned8, NumberOfEntries, 2)
			OBD_SUBINDEX_RAM_VAR(0x1020, 0x01, kObdTypeUInt32, kObdAccRW, tObdUnsigned32, ConfDate_U32, 0)
			OBD_SUBINDEX_RAM_VAR(0x1020, 0x02, kObdTypeUInt32, kObdAccRW, tObdUnsigned32, ConfTime_U32, 0)
		OBD_END_INDEX(0x1020)

		OBD_BEGIN_INDEX_RAM(0x1021, 0x01, FALSE)
			OBD_SUBINDEX_RAM_DOMAIN(0x1021, 0x00, kObdAccR, CFM_StoreDevDescrFile_DOM, OBD_MAX_STRING_SIZE)
		OBD_END_INDEX(0x1021)

		OBD_BEGIN_INDEX_RAM(0x1022, 0x01, FALSE)
			OBD_SUBINDEX_RAM_VAR(0x1022, 0x00, kObdTypeUInt16, kObdAccR, tObdUnsigned16, CFM_StoreDevDescrFormat_U16, 255)
		OBD_END_INDEX(0x1022)

		OBD_BEGIN_INDEX_RAM(0x1030, 0x0A, FALSE)
			OBD_SUBINDEX_RAM_VAR(0x1030, 0x00, kObdTypeUInt8, kObdAccConst, tObdUnsigned8, NumberOfEntries, 9)
			OBD_SUBINDEX_RAM_VAR(0x1030, 0x01, kObdTypeUInt16, kObdAccR, tObdUnsigned16, InterfaceIndex_U16, 1)
			OBD_SUBINDEX_RAM_VSTRING(0x1030, 0x02, kObdAccConst, InterfaceDescription_VSTR, OBD_MAX_STRING_SIZE)
			OBD_SUBINDEX_RAM_VAR(0x1030, 0x03, kObdTypeUInt8, kObdAccConst, tObdUnsigned8, InterfaceType_U8, 6)
			OBD_SUBINDEX_RAM_VAR(0x1030, 0x04, kObdTypeUInt16, kObdAccConst, tObdUnsigned16, InterfaceMtu_U16, 1518)
			OBD_SUBINDEX_RAM_OSTRING(0x1030, 0x05, kObdAccConst, InterfacePhysAddress_OSTR, OBD_MAX_STRING_SIZE)
			OBD_SUBINDEX_RAM_VSTRING(0x1030, 0x06, kObdAccR, InterfaceName_VSTR, OBD_MAX_STRING_SIZE)
			OBD_SUBINDEX_RAM_VAR(0x1030, 0x07, kObdTypeUInt8, kObdAccR, tObdUnsigned8, InterfaceOperStatus_U8, 1)
			OBD_SUBINDEX_RAM_VAR(0x1030, 0x08, kObdTypeUInt8, kObdAccRW, tObdUnsigned8, InterfaceAdminState_U8, 1)
			OBD_SUBINDEX_RAM_VAR(0x1030, 0x09, kObdTypeBool, kObdAccRW, tObdBoolean, Valid_BOOL, true)
		OBD_END_INDEX(0x1030)

		OBD_BEGIN_INDEX_RAM(0x1300, 0x01, FALSE)
			OBD_SUBINDEX_RAM_VAR_RG(0x1300, 0x00, kObdTypeUInt32, kObdAccRW, tObdUnsigned32, SDO_SequLayerTimeout_U32, 15000, 100)
		OBD_END_INDEX(0x1300)

		OBD_BEGIN_INDEX_RAM(0x1400, 0x03, FALSE)
			OBD_SUBINDEX_RAM_VAR(0x1400, 0x00, kObdTypeUInt8, kObdAccConst, tObdUnsigned8, NumberOfEntries, 2)
			OBD_SUBINDEX_RAM_VAR(0x1400, 0x01, kObdTypeUInt8, kObdAccRW, tObdUnsigned8, NodeID_U8, 0)
			OBD_SUBINDEX_RAM_VAR(0x1400, 0x02, kObdTypeUInt8, kObdAccR, tObdUnsigned8, MappingVersion_U8, 0)
		OBD_END_INDEX(0x1400)

		OBD_RAM_INDEX_RAM_PDO_MAPPING(0x1600, 0xC8, FALSE, kObdTypeUInt64, kObdAccR, tObdUnsigned64, PDO_RxMappParam_00h_AU64, 0x0010000000012008)

		OBD_BEGIN_INDEX_RAM(0x1800, 0x03, FALSE)
			OBD_SUBINDEX_RAM_VAR(0x1800, 0x00, kObdTypeUInt8, kObdAccConst, tObdUnsigned8, NumberOfEntries, 2)
			OBD_SUBINDEX_RAM_VAR(0x1800, 0x01, kObdTypeUInt8, kObdAccRW, tObdUnsigned8, NodeID_U8, 0)
			OBD_SUBINDEX_RAM_VAR(0x1800, 0x02, kObdTypeUInt8, kObdAccR, tObdUnsigned8, MappingVersion_U8, 0)
		OBD_END_INDEX(0x1800)

		OBD_RAM_INDEX_RAM_PDO_MAPPING(0x1A00, 0xC8, FALSE, kObdTypeUInt64, kObdAccR, tObdUnsigned64, PDO_TxMappParam_00h_AU64, 0x0010000000012007)

		OBD_BEGIN_INDEX_RAM(0x1C0B, 0x04, FALSE)
			OBD_SUBINDEX_RAM_VAR(0x1C0B, 0x00, kObdTypeUInt8, kObdAccConst, tObdUnsigned8, NumberOfEntries, 3)
			OBD_SUBINDEX_RAM_VAR_NOINIT(0x1C0B, 0x01, kObdTypeUInt32, kObdAccRW, tObdUnsigned32, CumulativeCnt_U32)
			OBD_SUBINDEX_RAM_VAR_NOINIT(0x1C0B, 0x02, kObdTypeUInt32, kObdAccR, tObdUnsigned32, ThresholdCnt_U32)
			OBD_SUBINDEX_RAM_VAR(0x1C0B, 0x03, kObdTypeUInt32, kObdAccRW, tObdUnsigned32, Threshold_U32, 15)
		OBD_END_INDEX(0x1C0B)

		OBD_BEGIN_INDEX_RAM(0x1C0F, 0x04, FALSE)
			OBD_SUBINDEX_RAM_VAR(0x1C0F, 0x00, kObdTypeUInt8, kObdAccConst, tObdUnsigned8, NumberOfEntries, 3)
			OBD_SUBINDEX_RAM_VAR_NOINIT(0x1C0F, 0x01, kObdTypeUInt32, kObdAccRW, tObdUnsigned32, CumulativeCnt_U32)
			OBD_SUBINDEX_RAM_VAR_NOINIT(0x1C0F, 0x02, kObdTypeUInt32, kObdAccR, tObdUnsigned32, ThresholdCnt_U32)
			OBD_SUBINDEX_RAM_VAR(0x1C0F, 0x03, kObdTypeUInt32, kObdAccRW, tObdUnsigned32, Threshold_U32, 15)
		OBD_END_INDEX(0x1C0F)

		OBD_BEGIN_INDEX_RAM(0x1C14, 0x01, FALSE)
			OBD_SUBINDEX_RAM_VAR(0x1C14, 0x00, kObdTypeUInt32, kObdAccRW, tObdUnsigned32, DLL_CNLossOfSocTolerance_U32, 100000)
		OBD_END_INDEX(0x1C14)

		OBD_BEGIN_INDEX_RAM(0x1E40, 0x06, FALSE)
			OBD_SUBINDEX_RAM_VAR(0x1E40, 0x00, kObdTypeUInt8, kObdAccConst, tObdUnsigned8, NumberOfEntries, 5)
			OBD_SUBINDEX_RAM_VAR_NOINIT(0x1E40, 0x01, kObdTypeUInt16, kObdAccR, tObdUnsigned16, IfIndex_U16)
			OBD_SUBINDEX_RAM_VAR_NOINIT(0x1E40, 0x02, kObdTypeIP_Addr, kObdAccR, tObd0402, Addr_IPAD)
			OBD_SUBINDEX_RAM_VAR_NOINIT(0x1E40, 0x03, kObdTypeIP_Addr, kObdAccR, tObd0402, NetMask_IPAD)
			OBD_SUBINDEX_RAM_VAR_NOINIT(0x1E40, 0x04, kObdTypeUInt16, kObdAccR, tObdUnsigned16, ReasmMaxSize_U16)
			OBD_SUBINDEX_RAM_VAR_NOINIT(0x1E40, 0x05, kObdTypeIP_Addr, kObdAccRW, tObd0402, DefaultGateway_IPAD)
		OBD_END_INDEX(0x1E40)

		OBD_BEGIN_INDEX_RAM(0x1E4A, 0x03, FALSE)
			OBD_SUBINDEX_RAM_VAR(0x1E4A, 0x00, kObdTypeUInt8, kObdAccConst, tObdUnsigned8, NumberOfEntries, 2)
			OBD_SUBINDEX_RAM_VAR_NOINIT(0x1E4A, 0x01, kObdTypeBool, kObdAccR, tObdBoolean, Forwarding_BOOL)
			OBD_SUBINDEX_RAM_VAR_NOINIT(0x1E4A, 0x02, kObdTypeUInt16, kObdAccRW, tObdUnsigned16, DefaultTTL_U16)
		OBD_END_INDEX(0x1E4A)

		OBD_RAM_INDEX_RAM_ARRAY(0x1F50, 0x01, FALSE, kObdTypeDomain, kObdAccW, tObdDomain, PDL_DownloadProgData_ADOM)

		OBD_RAM_INDEX_RAM_ARRAY(0x1F51, 0x01, FALSE, kObdTypeUInt8, kObdAccRW, tObdUnsigned8, PDL_ProgCtrl_AU8, 0)

		OBD_BEGIN_INDEX_RAM(0x1F52, 0x03, FALSE)
			OBD_SUBINDEX_RAM_VAR(0x1F52, 0x00, kObdTypeUInt8, kObdAccConst, tObdUnsigned8, NumberOfEntries, 2)
			OBD_SUBINDEX_RAM_VAR(0x1F52, 0x01, kObdTypeUInt32, kObdAccRW, tObdUnsigned32, ApplSwDate_U32, 12454)
			OBD_SUBINDEX_RAM_VAR(0x1F52, 0x02, kObdTypeUInt32, kObdAccRW, tObdUnsigned32, ApplSwTime_U32, 41626569)
		OBD_END_INDEX(0x1F52)

		OBD_RAM_INDEX_RAM_ARRAY(0x1F81, 0xFE, FALSE, kObdTypeUInt32, kObdAccRW, tObdUnsigned32, NMT_NodeAssignment_AU32, 0)

		OBD_BEGIN_INDEX_RAM(0x1F82, 0x01, FALSE)
			OBD_SUBINDEX_RAM_VAR(0x1F82, 0x00, kObdTypeUInt32, kObdAccConst, tObdUnsigned32, NMT_FeatureFlags_U32, 0x00048205)
		OBD_END_INDEX(0x1F82)

		OBD_BEGIN_INDEX_RAM(0x1F83, 0x01, FALSE)
			OBD_SUBINDEX_RAM_VAR(0x1F83, 0x00, kObdTypeUInt8, kObdAccConst, tObdUnsigned8, NMT_EPLVersion_U8, 0x20)
		OBD_END_INDEX(0x1F83)

		OBD_BEGIN_INDEX_RAM(0x1F8C, 0x01, FALSE)
			OBD_SUBINDEX_RAM_VAR_NOINIT(0x1F8C, 0x00, kObdTypeUInt8, kObdAccR, tObdUnsigned8, NMT_CurrNMTState_U8)
		OBD_END_INDEX(0x1F8C)

		OBD_RAM_INDEX_RAM_ARRAY(0x1F8D, 0xFE, FALSE, kObdTypeUInt16, kObdAccRW, tObdUnsigned16, NMT_PResPayloadLimitList_AU16, 36)

		OBD_BEGIN_INDEX_RAM(0x1F93, 0x03, FALSE)
			OBD_SUBINDEX_RAM_VAR(0x1F93, 0x00, kObdTypeUInt8, kObdAccConst, tObdUnsigned8, NumberOfEntries, 2)
			OBD_SUBINDEX_RAM_VAR_NOINIT(0x1F93, 0x01, kObdTypeUInt8, kObdAccR, tObdUnsigned8, NodeID_U8)
			OBD_SUBINDEX_RAM_VAR_NOINIT(0x1F93, 0x02, kObdTypeBool, kObdAccR, tObdBoolean, NodeIDByHW_BOOL)
		OBD_END_INDEX(0x1F93)

		OBD_BEGIN_INDEX_RAM(0x1F98, 0x09, FALSE)
			OBD_SUBINDEX_RAM_VAR(0x1F98, 0x00, kObdTypeUInt8, kObdAccConst, tObdUnsigned8, NumberOfEntries, 8)
			OBD_SUBINDEX_RAM_VAR(0x1F98, 0x01, kObdTypeUInt16, kObdAccConst, tObdUnsigned16, IsochrTxMaxPayload_U16, 1490)
			OBD_SUBINDEX_RAM_VAR(0x1F98, 0x02, kObdTypeUInt16, kObdAccConst, tObdUnsigned16, IsochrRxMaxPayload_U16, 1490)
			OBD_SUBINDEX_RAM_VAR(0x1F98, 0x03, kObdTypeUInt32, kObdAccConst, tObdUnsigned32, PResMaxLatency_U32, 1000)
			OBD_SUBINDEX_RAM_VAR_RG(0x1F98, 0x04, kObdTypeUInt16, kObdAccGRW, tObdUnsigned16, PReqActPayloadLimit_U16, 36, 36, 1490)
			OBD_SUBINDEX_RAM_VAR_RG(0x1F98, 0x05, kObdTypeUInt16, kObdAccGRW, tObdUnsigned16, PResActPayloadLimit_U16, 36, 36, 1490)
			OBD_SUBINDEX_RAM_VAR(0x1F98, 0x06, kObdTypeUInt32, kObdAccConst, tObdUnsigned32, ASndMaxLatency_U32, 1000)
			OBD_SUBINDEX_RAM_VAR(0x1F98, 0x07, kObdTypeUInt8, kObdAccRW, tObdUnsigned8, MultiplCycleCnt_U8, 0)
			OBD_SUBINDEX_RAM_VAR_RG(0x1F98, 0x08, kObdTypeUInt16, kObdAccGRW, tObdUnsigned16, AsyncMTU_U16, 300, 300, 1500)
		OBD_END_INDEX(0x1F98)

		OBD_BEGIN_INDEX_RAM(0x1F99, 0x01, FALSE)
			OBD_SUBINDEX_RAM_VAR(0x1F99, 0x00, kObdTypeUInt32, kObdAccRW, tObdUnsigned32, NMT_CNBasicEthernetTimeout_U32, 5000000)
		OBD_END_INDEX(0x1F99)

		OBD_BEGIN_INDEX_RAM(0x1F9A, 0x01, FALSE)
			OBD_SUBINDEX_RAM_VSTRING(0x1F9A, 0x00, kObdAccRW, NMT_HostName_VSTR, OBD_MAX_STRING_SIZE)
		OBD_END_INDEX(0x1F9A)

		OBD_RAM_INDEX_RAM_ARRAY(0x1F9B, 0xFE, FALSE, kObdTypeUInt8, kObdAccRW, tObdUnsigned8, NMT_MultiplCycleAssign_AU8)

		OBD_BEGIN_INDEX_RAM(0x1F9E, 0x01, FALSE)
			OBD_SUBINDEX_RAM_VAR(0x1F9E, 0x00, kObdTypeUInt8, kObdAccRW, tObdUnsigned8, NMT_ResetCmd_U8, 255)
		OBD_END_INDEX(0x1F9E)

	OBD_END_PART()

	OBD_BEGIN_PART_MANUFACTURER ()

		OBD_RAM_INDEX_RAM_VARARRAY(0x2007, 0xC8, FALSE, kObdTypeUInt16, kObdAccR, tObdUnsigned16, EPL_FB_IN, 0)

		OBD_RAM_INDEX_RAM_VARARRAY(0x2008, 0xC8, FALSE, kObdTypeUInt16, kObdAccRW, tObdUnsigned16, EPL_FB_OUT, 0)

	OBD_END_PART()

	OBD_BEGIN_PART_DEVICE ()

	OBD_END_PART()

OBD_END()

#define OBD_UNDEFINE_MACRO
	#include <obdcreate/obdmacro.h>
#undef OBD_UNDEFINE_MACRO
